// SPDX-License-Identifier: Apache-2.0
import ValidatedRequest from "../../../../../../core/validation/ValidatedArgs";
import FormatValidation from "../../../../../in/request/FormatValidation";
export default class GetNominalValueDecimalsRequest extends ValidatedRequest {
    securityId;
    constructor({ securityId }) {
        super({
            securityId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
        });
        this.securityId = securityId;
    }
}
